//Purpose:
//This function will generate a modal warning if the new even is in the past
//The user can choose to continue or cancel

//Action Type: On Event Create
//Prevent Default Action: Yes

//More info on custom actions here:
//https://www.seedcode.com/pmwiki/index.php?n=DayBackOnline.CustomActions

//There are no variables to configure. This action can run in any source

var now = moment();
var isBefore = event.start.isBefore(now);
if (isBefore) {
  utilities.showModal('Warning', 'This appointment starts in the past. Do you want to create it anyway?', 'cancel', cancelFunction, 'continue', confirmFunction);
}
else {
  action.callbacks.confirm();
}

function cancelFunction() {
  action.callbacks.cancel();
}

function confirmFunction() {
  action.callbacks.confirm();
}
